Subject: bug#11378: 24.1.50; Suggestion: Let M-i in isearch cycle `search-invisible'

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 May 2012 08:59:43 -0400

>> There are more isearch filters that could share the same map `M-s f'.
> Actually, currently these isearch filters can be used only one at a time.

> It would be more useful to allow multiple filters by transforming
> `isearch-filter-predicate' from the variable defining a predicate to the
> hook-like list defining a set of predicates all of which should satisfy
> for the search hit.

Sounds good to me.  Not sure how you'll fix the

	     (and (eq isearch-filter-predicate 'isearch-filter-visible)
		  search-invisible))

(which I already had annotated in my local tree with the comment
"FIXME: equality comparisons on functions is asking for trouble.")

> The default value could be a list with the current default element
> `isearch-filter-visible'.  And it still could allow a symbol as its value
> for backward compatibility.

Yes, you could just `run-hook-with-args-until-success'.

        Stefan